> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unifuncs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 深度搜索-创建任务(异步)

> 发起 [深度搜索模型](/models) 的调研任务，通过查询异步结果获取模型响应。注意此为异步接口，通过 [查询异步结果](/api-reference/models/deepsearch-query-task) 获取生成结果。



## OpenAPI

````yaml POST /deepsearch/v1/create_task
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.unifuncs.com
security:
  - bearerAuth: []
paths:
  /deepsearch/v1/create_task:
    post:
      tags: []
      summary: 创建异步任务
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                model:
                  type: string
                  enum:
                    - s1
                  description: 模型名称
                messages:
                  type: array
                  items:
                    type: object
                    properties:
                      role:
                        type: string
                        enum:
                          - user
                          - assistant
                          - tool
                        description: 消息角色
                      content:
                        type: string
                        description: 消息内容
                      tool_call_id:
                        type: string
                        nullable: true
                        description: 工具调用ID
                    required:
                      - role
                      - content
                  description: 消息列表
                introduction:
                  type: string
                  nullable: true
                  description: 介绍信息
                domain_scope:
                  type: array
                  items:
                    type: string
                  nullable: true
                  description: 域名范围
                domain_blacklist:
                  type: array
                  items:
                    type: string
                  nullable: true
                  description: 域名黑名单
                reference_style:
                  type: string
                  enum:
                    - hidden
                    - character
                    - link
                  nullable: true
                  description: 引用样式
                content_verification:
                  type: boolean
                  nullable: true
                  default: false
                  description: 内容验证
                max_depth:
                  type: integer
                  minimum: 1
                  maximum: 50
                  nullable: true
                  description: 最大深度
                generate_summary:
                  type: boolean
                  nullable: true
                  default: false
                  description: 是否生成摘要
                output_scope:
                  type: array
                  items:
                    type: string
                  nullable: true
                  description: 输出范围
                output_prompt:
                  type: string
                  nullable: true
                  description: 输出提示
                output_length:
                  type: integer
                  minimum: 1000
                  maximum: 100000
                  nullable: true
                  description: 输出长度
                task_id:
                  type: string
                  nullable: true
                  description: 任务ID（用于 create_async_task 端点）
              required:
                - model
                - messages
            example:
              model: s1
              messages:
                - role: user
                  content: hi
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    format: int32
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      task_id:
                        type: string
                        format: uuid
                      status:
                        type: string
                      created_at:
                        type: string
                        format: date-time
                    required:
                      - task_id
                      - status
                      - created_at
                  requestId:
                    type: string
                    format: uuid
                required:
                  - code
                  - message
                  - data
                  - requestId
              example:
                code: 0
                message: OK
                data:
                  task_id: 4f180540-a36d-4ec3-a921-33a5fda6c229
                  status: pending
                  created_at: '2025-12-11T10:20:13.382Z'
                requestId: 6c81cec1-1eb3-458d-b65c-c81ea6f1827c
          headers: {}
      deprecated: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.